import { FinancialSeries } from "./FinancialSeries";
import { ITrendLineSeries } from "./ITrendLineSeries";
import { TrendLineType } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { PenLineCap } from "igniteui-react-core";
import { DoubleCollection } from "igniteui-react-core";
import { PriceDisplayType } from "./PriceDisplayType";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-react-core";
import { CategoryFrame } from "./CategoryFrame";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { ITrendLineManager } from "./ITrendLineManager";
import { Axis } from "./Axis";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { Pool$1 } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { SeriesPlotAreaMarginHorizontalMode } from "./SeriesPlotAreaMarginHorizontalMode";
import { SeriesPlotAreaMarginVerticalMode } from "./SeriesPlotAreaMarginVerticalMode";
import { GeometryGroup } from "igniteui-react-core";
import { LegendItemBadgeShape } from "igniteui-react-core";
import { ValueLayerValueMode } from "./ValueLayerValueMode";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class FinancialPriceSeries extends FinancialSeries implements ITrendLineSeries {
    static $t: Type;
    protected bi(): Series;
    protected get_e7(): boolean;
    protected ji(): number;
    protected cq(): SeriesView;
    qw(a: SeriesView): void;
    aas: FinancialPriceSeriesView;
    constructor();
    trendLineType: TrendLineType;
    trendLineBrush: Brush;
    get ab4(): Brush;
    set ab4(a: Brush);
    static readonly abm: DependencyProperty;
    trendLineThickness: number;
    ab7: PenLineCap;
    ab6: DoubleCollection;
    trendLinePeriod: number;
    aaz: number;
    protected o8(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    aat: PriceDisplayType;
    protected b0(): SeriesHitTestMode;
    wg(a: Point): Rect;
    private aar;
    an(a: Point): Rect[];
    gu(a: Point, b: boolean): boolean;
    protected gx(a: Point, b: boolean): boolean;
    protected q4(a: any, b: string, c: any, d: any): void;
    private abl;
    ax(a: Axis): AxisRange;
    ay(a: Rect): AxisRange;
    iw(): number;
    gb(a: any): boolean;
    hc(a: Rect, b: Rect, c: SeriesView): boolean;
    z3(a: CategoryFrame, b: FinancialSeriesView): void;
    o2(a: boolean, b: SeriesView): void;
    protected sj(a: Rect, b: Rect): void;
    wm(a: SeriesPlotAreaMarginHorizontalMode, b: SeriesPlotAreaMarginVerticalMode): Thickness;
    protected get_eb(): boolean;
    z5(a: CategoryFrame, b: FinancialSeriesView): void;
    iu(): number;
    private abj;
    private aax;
    private abi;
    ku(a: any, b: Point): any;
    protected sa(): void;
    protected pu(a: any): void;
    ab5: Brush;
    vq(): Brush;
    rw(a: Brush, b: Brush): void;
    protected bd(a: LegendItemBadgeShape): LegendItemBadgeShape;
    aa9: string;
    aa5: string;
    aa0: string;
    abe: string;
    abb: string;
    aa7: string;
    aa2: string;
    abg: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    private aau;
    private aav;
    aaw: number;
    private abk;
    ap(a: ValueLayerValueMode): number[];
    v8(a: ValueLayerValueMode): Point;
    v9(a: number[]): Point;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class FinancialPriceSeriesView extends FinancialSeriesView {
    static $t: Type;
    protected b6: FinancialPriceSeries;
    constructor(a: FinancialPriceSeries);
    b9: Pool$1<Path>;
    cr(): Path;
    protected cc: List$1<Path>;
    ch(a: Path): void;
    cj(a: Path): void;
    ci(a: Path): void;
    protected b1(): FinancialBucketCalculator;
    au(): void;
    private cq;
    private cp;
    private b7;
    get b8(): ITrendLineManager;
    set b8(a: ITrendLineManager);
    get ca(): boolean;
    ck(): void;
    ce(): void;
    cd(): void;
    cn(): GeometryGroup;
    cm(): GeometryGroup;
    cl(): void;
    protected bd(): void;
    protected be(): void;
    protected ac(a: number): any;
    private co;
    protected ab(a: number): any;
    protected a8(a: RenderingContext, b: boolean): void;
    protected a7(a: RenderingContext, b: boolean): void;
    an(a: any): void;
    cf(): void;
    cb: boolean;
    cg(): void;
}
